Subject: bug#301: slim logins don't get registered in utmp

From: Mark Hindley <[email-masked]>
Date: Thu, 7 Mar 2019 18:40:06 +0000

On Thu, Mar 07, 2019 at 08:55:43PM +1100, Ralph Ronnquist wrote:
> I've also got a dist-upgraded beowulf with a no-install-recommends
> installation of task-xfce-desktop, and this one is fine wrt 'w'/'last'
> report for slim using consolekt, and still fine when I downgraded
> consolekit to the ascii version. The newest 'slim' is fine btw.
> 
> A little bit of digging tells me that my laptop has XDG_SESSION_COOKIE
> set which my beowulf VM doesn't. That difference might be enough to
> steer things differently for /etc/X11/Xsession.d/90consolekit, which (by
> guesswork) has a significant decision point about the session startup.
> Basically, X startup only runs /usr/bin/ck-launch-session if the
> variable is unset (at that time).
> 
> Someone who knows stuff might kindly pull me right, but now I'm chasing
> the reason why may latop gets XDG_SESSION_COOKIE set (while my beowulf
> VM doesn't)...

XDG_SESSION_COOKIE is set by consolekit. elogind doesn't set it, so that makes
me think your beowulf VM which is working OK is using elogind rather than
consolekit. Can you check?

Thanks

Mark